<?php

session_start();    
require('../../conexion.php');

$usuario = $_SESSION['cveUsuario'];
$condicion = "";
if (isset($_POST['id'])) {
    $nota_id = $_POST['id'];
    $condicion = "AND nv.id = '$nota_id'";
}
$i=0;
$result = query("SELECT nv.ntv_no_mesa, pdn.pdn_cantidad, pd.pro_nombre, pd.pro_clasificaciones, 
pdn.pdn_tiempo, nv.id, pdn.pdn_estatus, pdn.pdn_comentario, nv.ntv_no_nota, 
ntv_fecha_creacion, uss_nombre, pdn_comensal, ntv_hora_ini, pdn.vista_cocinero, 
DATE_FORMAT(pdn.updated_at, '%H:%i') hora_edicion
FROM productos_nota AS pdn 
INNER JOIN productos AS pd ON pd.id = pdn.id_producto
INNER JOIN notas_venta AS nv ON nv.id = pdn.id_nota_venta
INNER JOIN usuarios as us ON us.id = nv.id_usuario
WHERE pro_clasificaciones NOT IN('BAR') $condicion AND DATE(pdn.created_at) = CURRENT_DATE()
ORDER BY nv.id,pdn.pdn_tiempo, hora_edicion");

while($row = mysqli_fetch_assoc($result)){
    $rowdata[$i] = $row;
    $i++;
}

if ($i>0){
    $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
} else {
    $res =  '[{"id":"0"}]';	
}
echo $res;
?>